Subject: Re: bug#22159: 25.1.50; 'tabs' in 'whitespace-style' doesn't work

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Dec 2015 17:35:00 +0200

> From: Mark Karpov <[email-masked]>
> Date: Sun, 13 Dec 2015 14:43:46 +0600
> 
> 
> ‘tabs’ in ‘whitespace-style’ doesn't work. Tabs are not visualized. Here
> is relevant section of my config:
> 
> (setq whitespace-style '(face trailing tabs empty lines-tail indentation))

I cannot reproduce this: with the above configuration, I do see tabs
shown in a special face.  I used whitespace.el for showing them.

Could it be that all your tabs are inside indentation?  If so, the
face used for indentation whitespace overwrites the space for tabs.
You should look for tabs that are not inside indentation.

If the above doesn't help, perhaps try in "emacs -Q", maybe some of
your customizations get in the way.